Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search.vectorhighlight
Interface FragListBuilder

All Known Implementing Classes:
  BaseFragListBuilder, SimpleFragListBuilder, SingleFragListBuilder, WeightedFragListBuilder

    public interface FragListBuilder

FragListBuilder is an interface for FieldFragList builder classes. A FragListBuilder class can be plugged in to Highlighter.

Method Summary
`FieldFragList` | `createFieldFragList(FieldPhraseList fieldPhraseList, int fragCharSize)` create a FieldFragList.

Method Detail

### createFieldFragList

    FieldFragList createFieldFragList(FieldPhraseList fieldPhraseList,
                                      int fragCharSize)

  create a FieldFragList.

  Parameters:
    `fieldPhraseList` - FieldPhraseList object
    `fragCharSize` - the length (number of chars) of a fragment
  Returns:
    the created FieldFragList object

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.